=== tools/Makefile ===
CFLAGS+=-Wall -I../6lbr -I../platform/native -I../../6lbr-demo/apps/coap/ -I.

all: nvm_tool

nvm_tool: nvm_tool.c

clean:
	rm -f nvm_tool *.o
