=== plugins/dummy/Makefile ===
6LBR_PLUGIN=dummy.so

6LBR=../..
PLUGIN_SOURCEFILES+=dummy.c

include $(6LBR)/Makefile
