=== plugins/lwm2m-client/Makefile ===
6LBR_PLUGIN=lwm2m.so

6LBR=../..

PLUGIN_SOURCEFILES+=lwm2m-client.c

APPS+=$(6LBR)/../6lbr-demo/apps/lwm2m

PLUGIN_APPS+=lwm2m
PLUGIN_PROJECT_CONF=lwm2m-client.h

include $(6LBR)/Makefile
