=== test/coojagen/firmwares/6lbr-demo-delay/Makefile ===
PROJECT=6lbr-demo-delay

CONTIKI=../../../../../..
PROJECTDIR=../../../../../6lbr-demo/

PROJECTDIRS+=$(PROJECTDIR)

WITH_SHELL=1
WITH_DELAY_IP=1
WITH_UDPCLIENT=1
WITH_WEBSERVER=0
WITH_COAPSERVER=0
UDP_PERIOD=5
WITH_UDP_CLIENT_AUTOSTART=0

include $(PROJECTDIR)/Makefile
